Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Support of XSD 1.1 in Eclipse(Support of XML Schema version 1.1 in Eclipse)
Support of XSD 1.1 in Eclipse [message #1786880] Mon, 14 May 2018 17:40 Go to next message
Samir El Mustafa is currently offline Samir El MustafaFriend
Messages: 3
Registered: May 2018
Junior Member
Hi,

I would like to know if Eclipse/plug-in supports XSD 1.1?
In case it does support which versions of Eclipse/plug-in I need to use.

Currently I am using Oxygen release 4.7.3a. WTP version 3.9.2.
The schema processor complains as soon as I use any XSD 1.1 feature like assert.

Thanks,

Samir
Re: Support of XSD 1.1 in Eclipse [message #1786894 is a reply to message #1786880] Tue, 15 May 2018 06:46 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 29484
Registered: July 2009
Senior Member
It's probably better to ask on the Web Tools forum: https://www.eclipse.org/forums/eclipse.webtools

As the author of the Eclipse XSD model (which WTP uses), I can say that it does not support XML Schema 1.1, only XML Schema 1.0. But as far as I know, WTP also uses Xerces, and Xerces does support XSD 1.1. So I'm not sure which schema processor you are using in which context. You might want to make that more clear for your post on the Web Tools forum.
Re: Support of XSD 1.1 in Eclipse [message #1786991 is a reply to message #1786894] Wed, 16 May 2018 23:53 Go to previous message
Samir El Mustafa is currently offline Samir El MustafaFriend
Messages: 3
Registered: May 2018
Junior Member
Thanks Ed!
Previous Topic:Network blocked by a proxy?
Next Topic:Oracle Adf Web Service as Data Source
Goto Forum:
  


Current Time: Tue Aug 21 02:03:10 GMT 2018

Powered by FUDForum. Page generated in 0.03328 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top